# TODO
# - initscripts, logs, crons (see rpm files section at bottom of the spec)
Summary:	AT Computing System and Process Monitor
Summary(pl.UTF-8):	Monitor obciążenia systemu alternatywny dla programu top
Name:		atop
Version:	2.1
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.atoptool.nl/download/%{name}-%{version}-1.tar.gz
# Source0-md5:	d956f5b0c7e0705cff6cf44898d664d7
URL:		http://www.atcomputing.nl/Tools/atop
BuildRequires:	ncurses-devel
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The program atop is an interactive monitor to view the load on a
Linux-system. It shows the occupation of the most critical
hardware-resources (from a performance point of view) on system-level,
i.e. cpu, memory, disk and network. It also shows which processes are
responsible for the indicated load (again cpu-, memory-, disk- and
network-load on process-level).

%description -l pl.UTF-8
Program atop to interaktywny monitor służący do obserwacji obciążenia
systemu linuksowego. Pokazuje zajętość najbardziej krytycznych dla
funkcjonowania systemu zasobów (z wydajnościowego punktu widzenia) na
poziomie systemu, np. procesora, pamięci, dysków czy sieci. Pokazuje
również które procesy są odpowiedzialne za generowane obciążenie
(znów: na poziomie procesora, pamięci, dysków czy sieci).

%prep
%setup -q

%{__sed} -i -e '/chown root/d' Makefile

%build
%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}
%{__make} install \
	INIPATH=/etc/rc.d/init.d \
	DESTDIR=$RPM_BUILD_ROOT

# drop versioned links
%{__rm} $RPM_BUILD_ROOT%{_bindir}/{atop,atopsar}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHOR ChangeLog README
%attr(755,root,root) %{_bindir}/atop
%attr(755,root,root) %{_bindir}/atopsar
%attr(755,root,root) %{_sbindir}/atopacctd
%{_mandir}/man1/atop*.1*
%{_mandir}/man5/atoprc*.5*
%{_mandir}/man8/atopacctd.8*

# review and package these:
# don't forget R: procps, find, etc what they use
%if 0
%dir %{_sysconfdir}/%{name}
# atop.daily - invoked from cron, move to %{_prefix}/lib instead?
%attr(755,root,root) %{_sysconfdir}/%{name}/atop.daily
%attr(754,root,root) /etc/rc.d/init.d/atop
%attr(754,root,root) /etc/rc.d/init.d/atopacct
%config(noreplace) %verify(not md5 mtime size) /etc/cron.d/atop
%config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/psaccs_atop
%config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/psaccu_atop
%dir /var/log/atop
%ghost /var/log/atop/dummy_after
%ghost /var/log/atop/dummy_before
%endif
%changelog
* Wed Jun 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/atop.git;a=log;h=master

* Tue Jun 02 2015 Elan Ruusamäe <glen@delfi.ee> b5153f9
- pass ldflags, drop ncurses hack

* Tue Jun 02 2015 Elan Ruusamäe <glen@delfi.ee> 7a1ac7a
- use upstream make install, installs additionally atopsar and atopacctd

* Tue Jun 02 2015 Elan Ruusamäe <glen@delfi.ee> 4c28a75
- up to 2.1

* Wed Nov 14 2012 Andrzej Zawadzki <zawadaa@pld-linux.org> bda2949
- up to 2.0

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ed04d9e
- release 2

* Mon Nov 01 2010 Krzysztof Goliński <dirdival@pld-linux.org> 089a3ac
- updated to 1.26

* Mon May 03 2010 lisu <lisu@pld-linux.org> ef8ddf4
- new URL for Source0

* Mon May 03 2010 lisu <lisu@pld-linux.org> 13b363a
- try to generate proper md5

* Mon May 03 2010 lisu <lisu@pld-linux.org> a400d81
- proper md5

* Mon May 03 2010 lisu <lisu@pld-linux.org> db1d51b
- up to 1.25

* Sun Jan 24 2010 Krzysztof Goliński <dirdival@pld-linux.org> e15dd76
- updated to 1.24
- man5/atoprc.5.gz added

* Sun Mar 09 2008 twittner <twittner@pld-linux.org> d9aeed2
- up to 1.23

* Tue Nov 20 2007 twittner <twittner@pld-linux.org> a170744
- up to 1.22

* Mon Aug 20 2007 lisu <lisu@pld-linux.org> d272f60
- 1.21
- new man1 file (atopsar)

* Sun Apr 08 2007 shadzik <shadzik@pld-linux.org> 76d30b1
- 1.20

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1b94168
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 66c71a2
- converted to UTF-8

* Sun Jan 21 2007 Jakub Bogusz <qboosh@pld-linux.org> 86f47b7
- removed bogus acct-alpha patch

* Sun Jan 21 2007 Jakub Bogusz <qboosh@pld-linux.org> 8aaa06b
- wrong, glibc _still_ provides bogus (outdated since 1997) <sys/acct.h> on alpha

* Thu Jan 18 2007 lisu <lisu@pld-linux.org> c787f2e
- 1.19
- more doc files included

